(function () {

    'use strict';

    function injectSearchPath() {
        if (!cc.sys.isNative) return;
        console.log("main.js injectSearchPath");

        var searchPathsJson = cc.sys.localStorage.getItem('UPDATER_SEARCH_PATHS');
        if (searchPathsJson) {
            // console.log("injectSearchPath", searchPathsJson);
            try {
                var searchPaths = JSON.parse(searchPathsJson);
                if (searchPaths instanceof Array) {
                    for (var i = searchPaths.length - 1; i >= 0; i--) {
                        var searchPath = searchPaths[i];
                        // console.log("add updater search path:", searchPath);
                        jsb.fileUtils.addSearchPath(searchPath, true);
                    }
                }
            } catch (error) {
                console.log("parse searchPathsJson error!", searchPathsJson);
            }
        }

        var searchPaths = jsb.fileUtils.getSearchPaths();
        console.log("jsb.fileUtils.getSearchPaths()", searchPaths);
        for (var i = 0; i < searchPaths.length; i++) {
            console.log(i, searchPaths[i]);
        }
    }

    if (window.jsb) {
        injectSearchPath();
    }

    require("main_origin.js");

})();